ClassVisitorTee (cglib (Version 2.2.2))
Date: 2024-01-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.cglib.transform
Class ClassVisitorTee

    java.lang.Object
      net.sf.cglib.transform.ClassVisitorTee

All Implemented Interfaces:
  org.objectweb.asm.ClassVisitor

    public class ClassVisitorTee

extends java.lang.Object
implements org.objectweb.asm.ClassVisitor

Constructor Summary
`ClassVisitorTee(org.objectweb.asm.ClassVisitor cv1, org.objectweb.asm.ClassVisitor cv2)`

Method Summary
`void` | `visit(int version, int access, java.lang.String name, java.lang.String signature, java.lang.String superName, java.lang.String[] interfaces)`
`org.objectweb.asm.AnnotationVisitor` | `visitAnnotation(java.lang.String desc, boolean visible)`
`void` | `visitAttribute(org.objectweb.asm.Attribute attrs)`
`void` | `visitEnd()`
`org.objectweb.asm.FieldVisitor` | `visitField(int access, java.lang.String name, java.lang.String desc, java.lang.String signature, java.lang.Object value)`
`void` | `visitInnerClass(java.lang.String name, java.lang.String outerName, java.lang.String innerName, int access)`
`org.objectweb.asm.MethodVisitor` | `visitMethod(int access, java.lang.String name, java.lang.String desc, java.lang.String signature, java.lang.String[] exceptions)`
`void` | `visitOuterClass(java.lang.String owner, java.lang.String name, java.lang.String desc)`
`void` | `visitSource(java.lang.String source, java.lang.String debug)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassVisitorTee

    public ClassVisitorTee(org.objectweb.asm.ClassVisitor cv1,
                           org.objectweb.asm.ClassVisitor cv2)

Method Detail

### visit

    public void visit(int version,
                      int access,
                      java.lang.String name,
                      java.lang.String signature,
                      java.lang.String superName,
                      java.lang.String[] interfaces)

  Specified by:
    `visit` in interface `org.objectweb.asm.ClassVisitor`

### visitEnd

    public void visitEnd()

  Specified by:
    `visitEnd` in interface `org.objectweb.asm.ClassVisitor`

### visitInnerClass

    public void visitInnerClass(java.lang.String name,
                                java.lang.String outerName,
                                java.lang.String innerName,
                                int access)

  Specified by:
    `visitInnerClass` in interface `org.objectweb.asm.ClassVisitor`

### visitField

    public org.objectweb.asm.FieldVisitor visitField(int access,
                                                     java.lang.String name,
                                                     java.lang.String desc,
                                                     java.lang.String signature,
                                                     java.lang.Object value)

  Specified by:
    `visitField` in interface `org.objectweb.asm.ClassVisitor`

### visitMethod

    public org.objectweb.asm.MethodVisitor visitMethod(int access,
                                                       java.lang.String name,
                                                       java.lang.String desc,
                                                       java.lang.String signature,
                                                       java.lang.String[] exceptions)

  Specified by:
    `visitMethod` in interface `org.objectweb.asm.ClassVisitor`

### visitSource

    public void visitSource(java.lang.String source,
                            java.lang.String debug)

  Specified by:
    `visitSource` in interface `org.objectweb.asm.ClassVisitor`

### visitOuterClass

    public void visitOuterClass(java.lang.String owner,
                                java.lang.String name,
                                java.lang.String desc)

  Specified by:
    `visitOuterClass` in interface `org.objectweb.asm.ClassVisitor`

### visitAnnotation

    public org.objectweb.asm.AnnotationVisitor visitAnnotation(java.lang.String desc,
                                                               boolean visible)

  Specified by:
    `visitAnnotation` in interface `org.objectweb.asm.ClassVisitor`

### visitAttribute

    public void visitAttribute(org.objectweb.asm.Attribute attrs)

  Specified by:
    `visitAttribute` in interface `org.objectweb.asm.ClassVisitor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001 - Apache Software Foundation